博客主机
A-A+

curl: (35) SSL connect error 之解决方案升级NSS

2018年04月26日 原创文章 暂无评论 阅读 1,133 views 次
博客主机

最近在使用REDHAT 6.3进行访问github时遇到报错“curl: (35) SSL connect error ”

经过一番查询发现这个问题是由于nss版本过低导致的,网上早有人遇到这个问题,并且也说明解决方案

需要升级nss后,那就简单了,升级呗,看到网上有前辈提供的解决方案很简单一句话

 

yum update nss

 

其实看到这里还是蛮崩溃的,因为很多时候不具备yum环境,这时候升级就很麻烦。没办法,从头一点点找出依赖关系来升级吧。这里我不卖关子,先把升级步骤贴出来吧

rpm -Uvh nspr-4.13.1-1.el6.x86_64.rpm
rpm -ivh nspr-devel-4.13.1-1.el6.x86_64.rpm
rpm -Uvh nss-util-3.28.4-1.el6_9.x86_64.rpm
rpm -ivh nss-util-devel-3.28.4-1.el6_9.x86_64.rpm
rpm -Uvh nss-softokn-freebl-3.14.3-23.3.el6_8.i686.rpm
rpm -Uvh nss-softokn-freebl-3.14.3-23.3.el6_8.x86_64.rpm
rpm -Uvh nss-softokn-3.14.3-23.3.el6_8.x86_64.rpm
rpm -ivh nss-softokn-freebl-devel-3.14.3-23.3.el6_8.x86_64.rpm
rpm -ivh nss-softokn-devel-3.14.3-23.3.el6_8.x86_64.rpm
rpm -Uvh nss-sysinit-3.28.4-4.el6_9.x86_64.rpm --nodeps
rpm -Uvh nss-tools-3.28.4-4.el6_9.x86_64.rpm --nodeps
rpm -Uvh nss-3.28.4-4.el6_9.x86_64.rpm
rpm -ivh nss-devel-3.28.4-4.el6_9.x86_64.rpm

以上升级步骤主要针对Redhat 6.3(64位) 当然CentOS6.3 也可以使用。

其实很多时候下载这些包也很头痛,没关系,我这里已经准备好了,网盘下载

链接: https://pan.baidu.com/s/1BbtM-DUOSES61L46LdlLeA 密码: yqgq

 

 

 

 

 

标签:
博客主机

给我留言